RHEL バージョンが異なるパッケージをインストールすることはできますか?

更新 -

問題

  • 古いバージョンの RHEL 7 システムに、一部のパッケージのみ最新の RHEL 7 のものをインストールすることはできますか?
  • 古いバージョンの RHEL 6 システムに、一部のパッケージのみ最新の RHEL 6 のものをインストールすることはできますか?
  • 古いバージョンの RHEL 5 システムに、一部のパッケージのみ最新の RHEL 5 のものをインストールすることはできますか?
  • RHEL 6 または RHEL 5 システムに RHEL 7 パッケージをインストールすることはできますか?
  • RHEL 7 または RHEL 5 システムに RHEL 6 パッケージをインストールすることはできますか?
  • RHEL 7 または RHEL 6 システムに RHEL 5 パッケージをインストールすることはできますか?

環境

  • Red Hat Enterprise Linux (すべてのバージョン)
  • Red Hat Network から up2date または yum (RHEL リリースによって異なる)

解決策

  • 古いバージョンの RHEL 7 システムに、一部のパッケージのみ最新の RHEL 7 のものをインストールすることはできますか?
  • 古いバージョンの RHEL 6 システムに、一部のパッケージのみ最新の RHEL 6 のものをインストールすることはできますか?
  • 古いバージョンの RHEL 5 システムに、一部のパッケージのみ最新の RHEL 5 のものをインストールすることはできますか?

はい。yumup2date など、提供されたツールを使用してメジャーまたはマイナーリリースをインストールした後に、アップデートバージョンを選択してインストールできます。これらのアップデートツールは依存関係を確認し、ユーザー領域のパッケージがすべてインストールされているのを確認します。たとえば、kernel パッケージのアップグレードには、mkinitrdmodule-init-toolsfileutils パッケージなどのさまざまなユーザー領域の依存関係が含まれます。同じメジャーリリースのパッケージのインストールがサポートされます。

注意: 依存関係の完全性が確認され、yum または up2date のデフォルトプロセスは上書きされません。

注意: お客様から報告された問題は将来のエラータで修正されますが、問題を切り分けて解決するには、新しいパッケージにアップデートする必要があります。

注意: 多くのハードウェアおよびソフトウェアベンダーにおいては、製品に完全互換性を持たせるために、完全アップグレードが必要になる場合があります。

  • RHEL 6 または RHEL 5 システムに RHEL 7 パッケージをインストールすることはできますか?
  • RHEL 7 または RHEL 5 システムに RHEL 6 パッケージをインストールすることはできますか?
  • RHEL 7 または RHEL 6 システムに RHEL 5 パッケージをインストールすることはできますか?

いいえ。X と Y が異なる場合に、RHEL Y のシステムに RHEL X のパッケージを手動でインストールすることは Red Hat のサポート対象外となります。メジャーリリースが異なるパッケージのインストールはサポートされません。